diff --git a/doc/src/sgml/func/func-aggregate.sgml b/doc/src/sgml/func/func-aggregate.sgml
index 8b5eaeb2e94..bd9c777bc0a 100644
--- a/doc/src/sgml/func/func-aggregate.sgml
+++ b/doc/src/sgml/func/func-aggregate.sgml
@@ -18,6 +18,9 @@
    linkend="functions-hypothetical-table"/>.  Grouping operations,
    which are closely related to aggregate functions, are listed in
    <xref linkend="functions-grouping-table"/>.
+  </para>
+
+  <para>
    The special syntax considerations for aggregate
    functions are explained in <xref linkend="syntax-aggregates"/>.
    Consult <xref linkend="tutorial-agg"/> for additional introductory
@@ -25,15 +28,15 @@
   </para>
 
   <para>
-   Aggregate functions that support <firstterm>Partial Mode</firstterm>
-   are eligible to participate in various optimizations, such as parallel
-   aggregation.
+   Aggregate functions that support <firstterm>Parallel Mode</firstterm>
+   are eligible to participate in various optimizations, as described in 
+   <xref linkend="xaggr-parallel-aggregates"/>
   </para>
 
   <para>
    While all aggregates below accept an optional
-   <literal>ORDER BY</literal> clause (as outlined in <xref
-   linkend="syntax-aggregates"/>), the clause has only been added to
+   <literal>ORDER BY</literal> clause as outlined in <xref
+   linkend="syntax-aggregates"/>, the clause has only been added to
    aggregates whose output is affected by ordering.
   </para>
 
@@ -50,7 +53,7 @@
        <para>
         Description
        </para></entry>
-       <entry>Partial Mode</entry>
+       <entry>Parallel Mode</entry>
       </row>
      </thead>
 
@@ -773,7 +776,7 @@ SELECT count(*) FROM sometable;
        <para>
         Description
        </para></entry>
-       <entry>Partial Mode</entry>
+       <entry>Parallel Mode</entry>
       </row>
      </thead>
 
@@ -1130,7 +1133,7 @@ SELECT count(*) FROM sometable;
        <para>
         Description
        </para></entry>
-       <entry>Partial Mode</entry>
+       <entry>Parallel Mode</entry>
       </row>
      </thead>
 
@@ -1265,7 +1268,7 @@ SELECT count(*) FROM sometable;
        <para>
         Description
        </para></entry>
-       <entry>Partial Mode</entry>
+       <entry>Parallel Mode</entry>
       </row>
      </thead>
 
diff --git a/doc/src/sgml/ref/create_aggregate.sgml b/doc/src/sgml/ref/create_aggregate.sgml
index 0472ac2e874..4e4d88e7941 100644
--- a/doc/src/sgml/ref/create_aggregate.sgml
+++ b/doc/src/sgml/ref/create_aggregate.sgml
@@ -236,8 +236,8 @@ CREATE [ OR REPLACE ] AGGREGATE <replaceable class="parameter">name</replaceable
   </para>
 
   <para>
-   An aggregate can optionally support <firstterm>partial aggregation</firstterm>,
-   as described in <xref linkend="xaggr-partial-aggregates"/>.
+   An aggregate can optionally support <firstterm>parallel aggregation</firstterm>,
+   as described in <xref linkend="xaggr-parallel-aggregates"/>.
    This requires specifying the <literal>COMBINEFUNC</literal> parameter.
    If the <replaceable class="parameter">state_data_type</replaceable>
    is <type>internal</type>, it's usually also appropriate to provide the
@@ -449,7 +449,7 @@ SELECT col FROM tab ORDER BY col USING sortop LIMIT 1;
      <para>
       The <replaceable class="parameter">combinefunc</replaceable> function
       may optionally be specified to allow the aggregate function to support
-      partial aggregation.  If provided,
+      parallel aggregation.  If provided,
       the <replaceable class="parameter">combinefunc</replaceable> must
       combine two <replaceable class="parameter">state_data_type</replaceable>
       values, each containing the result of aggregation over some subset of
@@ -774,10 +774,10 @@ SELECT col FROM tab ORDER BY col USING sortop LIMIT 1;
    </para>
 
    <para>
-    Partial (including parallel) aggregation is currently not supported for
+    Parallel aggregation is currently not supported for
     ordered-set aggregates.  Also, it will never be used for aggregate calls
     that include <literal>DISTINCT</literal> or <literal>ORDER BY</literal> clauses, since
-    those semantics cannot be supported during partial aggregation.
+    those semantics cannot be supported during parallel aggregation.
   </para>
  </refsect1>
 
diff --git a/doc/src/sgml/xaggr.sgml b/doc/src/sgml/xaggr.sgml
index bdad8d3dc2b..fc019274770 100644
--- a/doc/src/sgml/xaggr.sgml
+++ b/doc/src/sgml/xaggr.sgml
@@ -518,17 +518,17 @@ SELECT percentile_disc(0.5) WITHIN GROUP (ORDER BY income) FROM households;
 
  </sect2>
 
-  <sect2 id="xaggr-partial-aggregates">
-  <title>Partial Aggregation</title>
+  <sect2 id="xaggr-parallel-aggregates">
+  <title>Parallel Aggregation</title>
 
   <indexterm>
    <primary>aggregate function</primary>
-   <secondary>partial aggregation</secondary>
+   <secondary>parallel aggregation</secondary>
   </indexterm>
 
   <para>
-   Optionally, an aggregate function can support <firstterm>partial
-   aggregation</firstterm>.  The idea of partial aggregation is to run the aggregate's
+   Optionally, an aggregate function can support <firstterm>parallel
+   aggregation</firstterm>.  The idea of parallel aggregation is to run the aggregate's
    state transition function over different subsets of the input data
    independently, and then to combine the state values resulting from those
    subsets to produce the same state value that would have resulted from
@@ -542,7 +542,7 @@ SELECT percentile_disc(0.5) WITHIN GROUP (ORDER BY income) FROM households;
   </para>
 
   <para>
-   To support partial aggregation, the aggregate definition must provide
+   To support parallel aggregation, the aggregate definition must provide
    a <firstterm>combine function</firstterm>, which takes two values of the
    aggregate's state type (representing the results of aggregating over two
    subsets of the input rows) and produces a new value of the state type,
@@ -555,7 +555,7 @@ SELECT percentile_disc(0.5) WITHIN GROUP (ORDER BY income) FROM households;
 
   <para>
    As simple examples, <literal>MAX</literal> and <literal>MIN</literal> aggregates can be
-   made to support partial aggregation by specifying the combine function as
+   made to support parallel aggregation by specifying the combine function as
    the same greater-of-two or lesser-of-two comparison function that is used
    as their transition function.  <literal>SUM</literal> aggregates just need an
    addition function as combine function.  (Again, this is the same as their
@@ -571,7 +571,7 @@ SELECT percentile_disc(0.5) WITHIN GROUP (ORDER BY income) FROM households;
    definition specifies a non-null <literal>initcond</literal>, keep in mind that
    that will be used not only as the initial state for each partial
    aggregation run, but also as the initial state for the combine function,
-   which will be called to combine each partial result into that state.
+   which will be called to combine each parallel result into that state.
   </para>
 
   <para>
